## UIM Get Supported Messages

UIM Get Supported Messages

## Functions

QmiMessageUimGetSupportedMessagesOutput * | qmi_message_uim_get_supported_messages_output_ref ()
void | qmi_message_uim_get_supported_messages_output_unref ()
gboolean | qmi_message_uim_get_supported_messages_output_get_result ()
gboolean | qmi_message_uim_get_supported_messages_output_get_list ()
void | qmi_client_uim_get_supported_messages ()
QmiMessageUimGetSupportedMessagesOutput * | qmi_client_uim_get_supported_messages_finish ()

## Types and Values

| QmiMessageUimGetSupportedMessagesOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageUimGetSupportedMessagesOutput

## Description

## Functions

### qmi_message_uim_get_supported_messages_output_ref ()

    QmiMessageUimGetSupportedMessagesOutput *
    qmi_message_uim_get_supported_messages_output_ref
                                   (QmiMessageUimGetSupportedMessagesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimGetSupportedMessagesOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_uim_get_supported_messages_output_unref ()

    void
    qmi_message_uim_get_supported_messages_output_unref
                                   (QmiMessageUimGetSupportedMessagesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimGetSupportedMessagesOutput. |

Since: 1.14

### qmi_message_uim_get_supported_messages_output_get_result ()

    gboolean
    qmi_message_uim_get_supported_messages_output_get_result
                                   (QmiMessageUimGetSupportedMessagesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimGetSupportedMessagesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_message_uim_get_supported_messages_output_get_list ()

    gboolean
    qmi_message_uim_get_supported_messages_output_get_list
                                   (QmiMessageUimGetSupportedMessagesOutput *self,
                                    GArray **value_list,
                                    GError **error);

Get the 'List' field from `self` .

#### Parameters

self | a QmiMessageUimGetSupportedMessagesOutput. |
value_list | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_client_uim_get_supported_messages ()

    void
    qmi_client_uim_get_supported_messages (QmiClientUim *self,
                                           gpointer unused,
                                           guint timeout,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously sends a Get Supported Messages request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_get_supported_messages_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_uim_get_supported_messages_finish ()

    QmiMessageUimGetSupportedMessagesOutput *
    qmi_client_uim_get_supported_messages_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_get_supported_messages()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_get_supported_messages()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimGetSupportedMessagesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_get_supported_messages_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageUimGetSupportedMessagesOutput

    typedef struct _QmiMessageUimGetSupportedMessagesOutput QmiMessageUimGetSupportedMessagesOutput;

The QmiMessageUimGetSupportedMessagesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14